Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Disconnected_Command Class Template Reference

Implements a Command object that invokes the disconnected_i() method on the target, passing an argument of type Object. More...

`#include <ESF_Delayed_Command.h>`

Inheritance diagram for TAO_ESF_Disconnected_Command

[legend]
Collaboration diagram for TAO_ESF_Disconnected_Command:

[legend]
List of all members.

## Public Methods
| TAO_ESF_Disconnected_Command (Target *target, Object *object)
| constructor...
virtual int | execute (void *arg)
| The callback method, if the argument is not nil it is interpreted as a CORBA::Environment.
## Private Attributes
Target* | target_
| The target.
Object* | object_
| The argument.

## Detailed Description

### template<class Target, class Object> template class TAO_ESF_Disconnected_Command

Implements a Command object that invokes the disconnected_i() method on the target, passing an argument of type Object.

## Memory Managment

It does not assume ownership of Object nor the Target arguments. Usually allocated from the heap or an allocator; but it is not self-managed.

## Locking

No provisions for locking, access must be serialized externally.

## Constructor & Destructor Documentation

template<classTarget, classObject>
TAO_ESF_Disconnected_Command< Target,Object >::TAO_ESF_Disconnected_Command<Target, Object> ( | Target * target,
| Object * object )

| constructor...

## Member Function Documentation

template<classTarget, classObject>
int TAO_ESF_Disconnected_Command<Target, Object>::execute ( | void * arg )`[virtual]`

| The callback method, if the argument is not nil it is interpreted as a CORBA::Environment. Reimplemented from ACE_Command_Base.

## Member Data Documentation

template<classTarget, classObject>
Object * TAO_ESF_Disconnected_Command<Target, Object>::object_`[private]`

| The argument.

template<classTarget, classObject>
Target * TAO_ESF_Disconnected_Command<Target, Object>::target_`[private]`

| The target.

The documentation for this class was generated from the following files:

- ESF_Delayed_Command.h
- ESF_Delayed_Command.cpp
- ESF_Delayed_Command.i